%define upstream_name    App-Cme
%define upstream_version 1.038

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generates pod doc from model files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(App::Cmd::Tester)
BuildRequires: perl(Config::Model) >= 2.148.0
BuildRequires: perl(Config::Model::FuseUI)
BuildRequires: perl(Config::Model::Lister)
BuildRequires: perl(Config::Model::ObjTreeScanner)
BuildRequires: perl(Config::Model::SimpleUI)
BuildRequires: perl(Config::Model::TermUI)
BuildRequires: perl(Config::Model::Utils::GenClassPod)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor) >= 2.10.0
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(YAML::PP)
BuildArch:  noarch

%description
Common methods for all cme commands

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cme
%{_mandir}/man1/cme.1*

%changelog
* Mon Mar 14 2022 tv <tv> 1.38.0-1.mga9
+ Revision: 1790916
- update to 1.038

* Fri Feb 11 2022 tv <tv> 1.37.0-1.mga9
+ Revision: 1773145
- update to 1.037

* Sat Jan 15 2022 tv <tv> 1.36.0-1.mga9
+ Revision: 1768393
- update to 1.036

* Mon Jan 10 2022 tv <tv> 1.35.0-1.mga9
+ Revision: 1767711
- update to 1.035

* Tue Nov 02 2021 tv <tv> 1.34.0-1.mga9
+ Revision: 1753659
- update to 1.034

* Mon Sep 20 2021 tv <tv> 1.33.0-1.mga9
+ Revision: 1746003
- update to 1.033

* Mon Jul 20 2020 tv <tv> 1.32.0-1.mga8
+ Revision: 1607286
- update to 1.032

* Wed Feb 19 2020 umeabot <umeabot> 1.31.0-2.mga8
+ Revision: 1543073
- Mageia 8 Mass Rebuild

* Tue Jan 14 2020 tv <tv> 1.31.0-1.mga8
+ Revision: 1477853
- update to 1.031

* Thu Sep 12 2019 tv <tv> 1.30.0-1.mga8
+ Revision: 1440065
- update to 1.030

* Thu Sep 20 2018 umeabot <umeabot> 1.29.0-2.mga7
+ Revision: 1281637
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.29.0-1.mga7
+ Revision: 1253907
- update to 1.029

* Mon Apr 09 2018 kekepower <kekepower> 1.27.0-1.mga7
+ Revision: 1216670
- Update to version 1.027

* Mon Jan 08 2018 shlomif <shlomif> 1.26.0-1.mga7
+ Revision: 1191642
- update to 1.026

* Tue Oct 24 2017 shlomif <shlomif> 1.24.0-1.mga7
+ Revision: 1173318
- update to 1.024

* Mon Oct 02 2017 tv <tv> 1.23.0-2.mga7
+ Revision: 1162993
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 guillomovitch <guillomovitch> 1.23.0-1.mga7
+ Revision: 1155444
- new version 1.023

* Sat Jun 18 2016 pterjan <pterjan> 1.11.0-2.mga6
+ Revision: 1022538
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 1.11.0-1.mga6
+ Revision: 1008046
- Add missing BR
- Missing BR
- imported package perl-App-Cme

